Name:		pikloops
Version:	0.2.1
Release:	6%{?dist}
Summary:	Code generator for PIC delays
Summary(fr):	Générateur de code de temporisation pour PIC

Group:		Development/Tools
License:	GPL
Url:		http://pikloops.tripod.com/
Source:		http://pikloops.tripod.com/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils, kdelibs-devel

%description
PiKLoop generate for you code to create delays for Microchip PIC
microcontrollers. It is an useful companion for Pikdev or Piklab IDE.

%description -l fr
PiKLoop génère pour vous du code pour créer des temporisations pour les
microcontrôleurs PIC de Microchip. C'est un compagnon utile aux environnements
de développement Pikdev ou Piklab.

%prep
%setup -q

%build

%configure --disable-rpath
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__rm} -f %{buildroot}%{_datadir}/applnk/Applications/%{name}.desktop

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category "X-Fedora" \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/crystalsvg || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/crystalsvg || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files
%defattr(-, root, root)
%doc COPYING
%{_bindir}/*
%{_datadir}/applications/kde/%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/icons/crystalsvg/*/apps/%{name}.png

%changelog
* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-6
  - Remove useless update-desktop-database

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-5
  - Update %%{SOURCE1} to add Application category

* Fri Sep 29 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-4
  - Update %%{SOURCE1} which don't contain "OnlyShowIn=KDE;" any more

* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-3
  - Add dist tag

* Thu Sep 28 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-2
  - Don't make install-strip

* Wed Sep 27 2006  Alain Portal <aportal[AT]univ-montp2[DOT]fr> 0.2.1-1
  - Initial Fedora package
